SENDSIG(3PVM)

NAME
pvm_sendsig - Sends a signal to another PVM process.

SYNOPSIS
C	int info = pvm_sendsig( int tid, int signum )

Fortran	call pvmfsendsig( tid, signum, info )

PARAMETERS

tid Integer task identifier of PVM process to receive the signal.

signum
    Integer signal number.

info
    Integer status code returned by the routine.

DESCRIPTION
The routine pvm_sendsig sends the signal number signum to the PVM process identified by tid. If pvm_sendsig is successful, info will be 0. If some error occurs then info will be < 0.

pvm_sendsig should only be used by programmers with Unix signal handling experience. Many library functions (and in fact the PVM library functions) cannot be called in a signal handler context because they do not mask signals or lock internal data structures.

Further caveat: the signal numbers passed between systems are not mapped - PVM assumes that signal 9 on one system is the same as on another.

EXAMPLES
C:
	tid = pvm_parent();
	info = pvm_sendsig( tid, SIGKILL);

Fortran:
	CALL PVMFBUFINFO( BUFID, BYTES, TYPE, TID, INFO );
	CALL PVMFSENDSIG( TID, SIGNUM, INFO )

ERRORS
These error conditions can be returned by pvm_sendsig

PvmSysErr
    pvmd not responding.

PvmBadParam
    giving an invalid tid value.

SEE ALSO